/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 * 
 *  Copyright (C) 2010 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
 *  ɂČ\Ă GNU General Public License  Version 2 ɋL
 *  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
 *  ς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
 *  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
 *  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/* GR-SAKURApwb_t@ */

#ifndef	TOPPERS_GRSAKURA_H
#define	TOPPERS_GRSAKURA_H


/*
 *  MCUˑ̓ǂݍ
 */
#ifdef __RX
#include "rx630_ccrx/rx630.h"
#else
#include "rx630_msvc/rx630.h"
#endif

/*
 *  NbNݒ
 */

/*
 *  VXeNbNICLK(kHz)
 *
 *  CPUCDTCCDMACACETHERCCEDMACCROMCRAMp
 *  
 */
#define FREQ_ICLK  (96000U)

/*
 *  NbNPCLK(kHz)
 *
 *  ^C}CVAȂǎӃW[p
 */
#define FREQ_PCLK  (48000U)


/*
 *  {[[gݒ
 */
#define BAUD_19200BPS		UINT_C( 78 )
#define BAUD_38400BPS		UINT_C( 39 )
#define BAUD_57600BPS		UINT_C( 25 )
#define BAUD_115200BPS		UINT_C( 12 )

#define UART_BAUDRATE		BAUD_38400BPS


/*
 *  NbN\[X
 */
#define UART_CLKSRC			CLK_F1

#endif	/* TOPPERS_GRSAKURA_H */

 